BD Pyxis™ Products with Default Credentials May Pose a Security Threat


Healthcare providers using certain BD Pyxis™ products may be at risk for security breaches, as some of these products were installed with default credentials that threat actors could exploit. If your organization uses any of the following BD Pyxis™ products, you may be impacted:

  • BD Pyxis™ Anesthesia Station ES

  • BD Pyxis™ CIISafe

  • BD Pyxis™ Logistics

  • BD Pyxis™ MedBank

  • BD Pyxis™ MedStation™ 4000

  • BD Pyxis™ MedStation™ ES

  • BD Pyxis™ MedStation™ ES Server

  • BD Pyxis™ ParAssist

  • BD Pyxis™ Rapid Rx

  • BD Pyxis™ StockStation

  • BD Pyxis™ SupplyCenter

  • BD Pyxis™ SupplyRoller

  • BD Pyxis™ SupplyStation™

  • BD Pyxis™ SupplyStation™ EC

  • BD Pyxis™ SupplyStation™ RF auxiliary

  • BD Rowa™ Pouch Packaging Systems

BD PyxisTM products may be deployed with the same default local operating system credentials or domain-joined server(s) passwords that may be shared across product types in cases where there are no differences between them.

Once again, as a reminder, default system credentials must be changed upon deployment.

RECENT POSTS

FEATURED POSTS

FOLLOW US

  • Grey Facebook Icon
  • Grey Twitter Icon
  • Grey Instagram Icon